#ifndef _CHESSBOARD_H
#define _CHESSBOARD_H

#include <vector>
#include "Figure.h"
#include "Position.h"
#include "Cell.h"
#include <utility>
#include <iostream>

class Chessboard
{
    private:
    Cell** board;
    vector<std::pair<Position, Position>> moves;

    bool possible_move(Position pos1, Position pos2, Figure* figure);

    public:
    Chessboard(vector<Figure*>);

    void create_move(Position pos1, Position pos2);

    friend std::ostream& operator <<(std::ostream& out, Chessboard& chess);
};

#endif